extends Node2D


@onready var nombre_sous_effet = get_children().size()


func _quand_sous_effet_termine() -> void:
	nombre_sous_effet -= 1
	_auto_detruit_si_completement_termine()


func _auto_detruit_si_completement_termine() -> void:
	if nombre_sous_effet <= 0:
		queue_free()
